const init = async ({
  initEvents,
  initSecrets,
  initFinal,
  maybeThrowResourceError
}) => {
  const errorsArrays = await Promise.all([initEvents(), initSecrets()]);
  const finalErrors = await initFinal();
  const errors = [];

  for (const errorsArray of errorsArrays) {
    errors.push(...errorsArray);
  }

  errors.push(...finalErrors);
  maybeThrowResourceError(errors);
};

export default init;
//# sourceMappingURL=init.js.map