"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _secretEvent = require("./secret-event");

const gatherSecretsFromEvents = async (pool, events) => {
  if (pool.loadSecrets === undefined) throw new Error('loadSecrets is not defined for this adapter');
  const existingSecretsIds = [];
  const deletedSecrets = [];

  for (const event of events) {
    if (event.type === _secretEvent.SET_SECRET_EVENT_TYPE) {
      existingSecretsIds.push(event.payload.id);
    } else if (event.type === _secretEvent.DELETE_SECRET_EVENT_TYPE) {
      deletedSecrets.push(event.payload.id);
    }
  }

  const {
    secrets
  } = await pool.loadSecrets({
    limit: existingSecretsIds.length,
    ids: existingSecretsIds,
    includeDeleted: true
  });
  return {
    deletedSecrets,
    existingSecrets: secrets
  };
};

var _default = gatherSecretsFromEvents;
exports.default = _default;
//# sourceMappingURL=gather-secrets-from-events.js.map