"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const init = async ({
  initEvents,
  initSecrets,
  initFinal,
  maybeThrowResourceError
}) => {
  const errorsArrays = await Promise.all([initEvents(), initSecrets()]);
  const finalErrors = await initFinal();
  const errors = [];

  for (const errorsArray of errorsArrays) {
    errors.push(...errorsArray);
  }

  errors.push(...finalErrors);
  maybeThrowResourceError(errors);
};

var _default = init;
exports.default = _default;
//# sourceMappingURL=init.js.map