"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const connectOnDemandAndCall = async (pool, method, ...args) => {
  if (pool.disposed) {
    throw new Error('Adapter has been already disposed');
  }

  pool.isInitialized = true;
  pool.connectPromiseResolve();
  await pool.connectPromise;
  return await method(pool, ...args);
};

const wrapMethod = (pool, method) => typeof method !== 'undefined' ? connectOnDemandAndCall.bind(null, pool, method) : undefined;

var _default = wrapMethod;
exports.default = _default;
//# sourceMappingURL=wrap-method.js.map